Skip to main content
GET
/
v1
/
analytics
/
collections
/
{collection_id}
/
growth
Get Document Growth
curl --request GET \
  --url https://api.mixpeek.com/v1/analytics/collections/{collection_id}/growth \
  --header 'Authorization: Bearer <token>'
{
  "collection_id": "<string>",
  "time_range": {
    "start": "2023-11-07T05:31:56Z",
    "end": "2023-11-07T05:31:56Z"
  },
  "metrics": [
    {
      "time_bucket": "2023-11-07T05:31:56Z",
      "documents_added": 123,
      "success_rate": 123,
      "avg_latency_ms": 123
    }
  ],
  "summary": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collection_id
string
required

Query Parameters

start_date
string<date-time> | null
end_date
string<date-time> | null
group_by
string
default:day

hour, day, week, month

Response

Successful Response

Document growth trends.

collection_id
string
required
time_range
TimeRange · object
required

Time range for analytics queries.

metrics
GrowthMetric · object[]
required
summary
Summary · object